VisualEditor: Categories deleted or misplaced when a reference is added (in Opera)
Closed, ResolvedPublic

bzimport set Reference to bz50385.
Ironholds created this task.Via LegacyJun 28 2013, 6:56 PM
Catrope added a comment.Via ConduitJun 29 2013, 1:09 AM

Very strange, looks like metadata is being moved somehow. Do we have any information about what the editors did to provoke this?

Jdforrester-WMF added a comment.Via ConduitJun 29 2013, 2:15 AM

(In reply to comment #1)

Another is
https://pl.wikipedia.org/w/index.
php?title=Waldemar_Kasta&diff=36944980&oldid=36944831

Bartosz,

Both these corruptions were by you - were both of them made using Opera? If so, I'm happy to mark this bug out to you (but please clean up after yourself when editing using a blacklisted browser).

matmarex added a comment.Via ConduitJun 29 2013, 11:07 AM

Eh, it seems to be Opera-specific after all, I can't reproduce on Firefox (but it reproduces reliably in Opera).

matmarex added a comment.Via ConduitJul 5 2013, 2:43 PM

Funnily, my testing shows that the categories are only moved inside the reference if it contains a template. Inserting an empty or text-only reference results in the cateogires eing killed entirely.

matmarex added a comment.Via ConduitJul 5 2013, 7:25 PM

function testSpliceBroken() {
var n = 256;
var a = [];
a[n] = 'a';

a.splice( n+1, 0, 'b' );

return a[n] != 'a';
};

This yields 'true' on Opera.

That's probably the bizarrest browser bug I've ever seen, and it seems to be the root cause of this.

gerritbot added a comment.Via ConduitJul 5 2013, 11:29 PM

Change 72233 had a related patch set uploaded by Matmarex:
Array.prototype.splice polyfill for Opera

https://gerrit.wikimedia.org/r/72233

gerritbot added a comment.Via ConduitJul 22 2013, 6:40 PM

Change 72233 merged by jenkins-bot:
Array.prototype.splice polyfill for Opera

https://gerrit.wikimedia.org/r/72233

matmarex added a comment.Via ConduitJul 22 2013, 7:02 PM

This should be fixed now. Rejoice!

Jdforrester-WMF added a comment.Via ConduitJul 24 2013, 2:50 AM

Done and will be deployed tomorrow.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.